//*****************************************************************************
//*
//*
//*		RenameProject.cpp 
//*
//*
//*****************************************************************************
//	
//	Das Programm diehnt zum umbenennen von VC++ Projekten
//
//	Syntax:		RenameProject	ProjektPfad		-p:ProjektName
//				oder			Projekt(*.dsp/*.dsw)

#include "StdAfx.h"
#include "RenameProject.h"
#include "RenameProjectDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CRenameProjectApp, CWinApp)
	//{{AFX_MSG_MAP(CRenameProjectApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


// Das einzige CRenameProjectApp-Objekt
CRenameProjectApp theApp;

//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CRenameProjectApp::CRenameProjectApp()
{
}



//*****************************************************************************
//*
//*		InitInstance
//*
//*****************************************************************************
BOOL CRenameProjectApp::InitInstance()
{
CString		sPath,sProject,sNewName;
char   	   *pName;
int			i;



	AfxEnableControlContainer();

	#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
	#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
	#endif

	CRenameProjectDlg sDlg;
	m_pMainWnd = &sDlg;

	
	for(i=1;i<__argc;i++)
		{
		pName=__argv[i];
		if(pName[0]=='-' || pName[0]=='/')
		if(pName[1]=='P' || pName[1]=='p')
		if(pName[2]==':')
			{
			sProject=pName+3;
			continue;
			}

		if(pName[0]=='-' || pName[0]=='/')
			{
			continue;
			}

		sPath=pName;
		}

	if(ExistFile(sPath)==1)
		{
		if(sProject=="")
			{
			GetFileName(sProject,sPath);
			SetFileType(sProject,"");
			}
		
		SubFileName(sPath);
		GetFileName(sNewName,sPath);
		if(!stricmp(sNewName,sProject))sNewName="";
		}

	if(sPath   !="")sDlg.m_sPath    = sPath;
	if(sProject!="")sDlg.m_sProject = sProject;
	if(sNewName!="")sDlg.m_sNewName = sNewName;


	sDlg.DoModal();


return FALSE;
}
